package com.goldenwater.web.controller.pms;

import com.goldenwater.slgc.entity.pms.PmsContract;
import com.goldenwater.slgc.service.pms.IPmsContractService;
import com.goldenwater.common.core.controller.BaseController;
import com.goldenwater.common.core.domain.AjaxResult;
import com.goldenwater.common.core.page.TableDataInfo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import com.goldenwater.common.annotation.Log;
import com.goldenwater.common.enums.BusinessType;
import org.springframework.validation.annotation.Validated;

import java.util.List;

@RestController
@Validated
@RequestMapping("/pms/contract")
public class PmsContractController extends BaseController {
    @Autowired
    private IPmsContractService pmsContractService;

    /**
     * 查询合同列表
     */
    @GetMapping("/list")
    public TableDataInfo list(PmsContract contract) {
        startPage();
        List<PmsContract> list = pmsContractService.selectList(contract);
        return getDataTable(list);
    }

    /**
     * 获取合同详细信息
     */
    @GetMapping("/{id}")
    public AjaxResult getInfo(@PathVariable Long id) {
        return success(pmsContractService.selectById(id));
    }

    /**
     * 新增合同
     */
    @Log(title = "合同管理", businessType = BusinessType.INSERT)
    @PostMapping
    public AjaxResult add(@RequestBody PmsContract contract) {
        return toAjax(pmsContractService.insert(contract));
    }

    /**
     * 修改合同
     */
    @Log(title = "合同管理", businessType = BusinessType.UPDATE)
    @PutMapping
    public AjaxResult edit(@RequestBody PmsContract contract) {
        return toAjax(pmsContractService.update(contract));
    }

    /**
     * 删除合同
     */
    @Log(title = "合同管理", businessType = BusinessType.DELETE)
    @DeleteMapping("/{ids}")
    public AjaxResult remove(@PathVariable Long[] ids) {
        return toAjax(pmsContractService.deleteByIds(ids));
    }
}
